> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Orders

> Search Orders with a fulltext query and optional filters.

Searches across order ID, memo ID, merchant names, SKUs, certificate numbers, weights, and vendor codes.

## Returns

An object with `orders`, `total`, `offset`, and `limit` fields.



## OpenAPI

````yaml get /api/v3/orders/search
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API v3
  description: Developer API to integrate with Unbridaled Marketplace (v3)
  version: 3.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Merchant Addresses
  - name: Profit Margins
  - name: Defaults
paths:
  /api/v3/orders/search:
    get:
      tags:
        - Orders
      summary: Search Orders
      description: >-
        Search Orders with a fulltext query and optional filters.


        Searches across order ID, memo ID, merchant names, SKUs, certificate
        numbers, weights, and vendor codes.


        ## Returns


        An object with `orders`, `total`, `offset`, and `limit` fields.
      parameters:
        - name: q
          in: query
          description: >-
            Fulltext search query. Searches across order ID, memo ID, merchant
            names, SKUs, cert numbers, weights, and vendor codes.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: How many results to return at a time. Defaults to 100.
          required: false
          schema:
            type: integer
            default: 100
        - name: offset
          in: query
          description: How many results to skip. Used for pagination. Defaults to 0.
          required: false
          schema:
            type: integer
            default: 0
        - name: order_by
          in: query
          description: Column to sort orders by. Defaults to `created_on`.
          required: false
          schema:
            type: string
            enum:
              - created_on
              - ordered_on
              - total
              - merchant_legal_dba
            default: created_on
        - name: order
          in: query
          description: Sort direction.
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - name: payment_status
          in: query
          description: Filter by payment status.
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - paid
                - unpaid
        - name: fulfillment_status
          in: query
          description: Filter by fulfillment status.
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - partial
                - fulfilled
                - unfulfilled
        - name: order_type
          in: query
          description: Filter by order type.
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - invoice
                - memo
        - name: has_unfulfilled_line_item
          in: query
          description: Filter to orders that have at least one unfulfilled line item.
          required: false
          schema:
            type: boolean
        - name: debug
          in: query
          description: Filter by debug mode flag on orders.
          required: false
          schema:
            type: array
            items:
              type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  orders:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        order_type:
                          type: string
                        merchant_uuid:
                          type: string
                        order_reference:
                          type:
                            - string
                            - 'null'
                        external_order_id:
                          type:
                            - string
                            - 'null'
                        fulfillment_status:
                          type:
                            - string
                            - 'null'
                        payment_status:
                          type:
                            - string
                            - 'null'
                        ordered_on:
                          type: string
                        created_on:
                          type: string
                        line_items:
                          type: array
                          items:
                            type: object
                  total:
                    type: integer
                  offset:
                    type: integer
                  limit:
                    type: integer
              example:
                orders:
                  - uuid: 973c4c41-ce72-42c5-b184-3f0d8d4bb1af
                    order_type: invoice
                    merchant_uuid: 419c61fa-e674-414a-a1e2-7c5270ed9668
                    order_reference: '999917'
                    external_order_id: '777717'
                    fulfillment_status: null
                    payment_status: null
                    ordered_on: '2021-12-15T17:57:09.046284+00:00'
                    created_on: '2021-12-15T17:57:09.046284+00:00'
                    line_items: []
                total: 1
                offset: 0
                limit: 100
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````